Tests
Get Tests
Retrieve a list of workflow tests for a specific workflow.
GET
/
apps
/
{app_id}
/
workflows
/
{workflow_id}
/
tests
Get Tests
curl --request GET \
--url https://api.example.com/apps/{app_id}/workflows/{workflow_id}/testsimport requests
url = "https://api.example.com/apps/{app_id}/workflows/{workflow_id}/tests"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/apps/{app_id}/workflows/{workflow_id}/tests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/apps/{app_id}/workflows/{workflow_id}/tests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/apps/{app_id}/workflows/{workflow_id}/tests"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/apps/{app_id}/workflows/{workflow_id}/tests")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/apps/{app_id}/workflows/{workflow_id}/tests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body[
{
"id": "<string>",
"name": "<string>",
"status": "PASSED",
"step_key": "<string>",
"expectations_passing_count": 123,
"expectations_failing_count": 123,
"workflow_id": "<string>",
"run": {
"id": "<string>",
"input": {},
"output": {},
"status": "RUNNING",
"origin": "WORKFLOW",
"started_at": "2023-12-25",
"ended_at": "2023-12-25",
"app_id": "<string>",
"workflow_app_id": "<string>",
"workflow_id": "<string>",
"workflow_version_draft": {
"key": "<string>",
"input": {},
"input_default": {},
"input_options": {
"display": {
"field": "inline",
"container": "grid",
"hidden": true
}
},
"steps": [
{
"type": "note",
"key": "<string>",
"note": "<string>",
"display": "expanded",
"conditional": "<string>",
"loop": "<string>",
"throw_on_error": true,
"input_connected": true,
"destinations": [
"<string>"
],
"position": [
123
],
"size": [
101
],
"auto": {
"provider": "<string>",
"model": "<string>",
"temperature": 1
}
}
]
},
"workflow_version": {
"id": "<string>",
"app_id": "<string>",
"workflow_id": "<string>",
"description": "<string>",
"version": 123,
"notes": "<string>",
"created_at": "2023-12-25",
"key": "<string>",
"input": {},
"input_default": {},
"input_options": {
"display": {
"field": "inline",
"container": "grid",
"hidden": true
}
},
"steps": [
{
"type": "note",
"key": "<string>",
"note": "<string>",
"display": "expanded",
"conditional": "<string>",
"loop": "<string>",
"throw_on_error": true,
"input_connected": true,
"destinations": [
"<string>"
],
"position": [
123
],
"size": [
101
],
"auto": {
"provider": "<string>",
"model": "<string>",
"temperature": 1
}
}
],
"rollback_version": 123,
"created_by": {
"id": "<string>",
"name": "<string>"
}
},
"created_at": "2023-12-25",
"updated_at": "2023-12-25",
"result": "<unknown>",
"error": "<string>",
"collection_id": "<string>",
"record_id": "<string>",
"version": 123,
"usage": {
"total": 123,
"steps": {},
"calls": [
{
"id": "<string>",
"total": 123,
"calls": [
"<unknown>"
]
}
]
},
"retention": {
"max_age_in_seconds": 3600,
"preserve_on_failure": true
},
"retention_due_at": "2023-12-25"
},
"created_at": "2023-12-25",
"updated_at": "2023-12-25",
"input": {},
"input_default": {},
"input_context": {},
"expectations": [
{
"key": "<string>",
"name": "<string>",
"expectation_id": "<string>",
"script": "<string>",
"output": "<unknown>",
"logs": [
null
],
"status": "PASSED"
}
]
}
]Query Parameters
Response
200 - application/json
Was this page helpful?
⌘I
Get Tests
curl --request GET \
--url https://api.example.com/apps/{app_id}/workflows/{workflow_id}/testsimport requests
url = "https://api.example.com/apps/{app_id}/workflows/{workflow_id}/tests"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/apps/{app_id}/workflows/{workflow_id}/tests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/apps/{app_id}/workflows/{workflow_id}/tests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/apps/{app_id}/workflows/{workflow_id}/tests"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/apps/{app_id}/workflows/{workflow_id}/tests")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/apps/{app_id}/workflows/{workflow_id}/tests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body[
{
"id": "<string>",
"name": "<string>",
"status": "PASSED",
"step_key": "<string>",
"expectations_passing_count": 123,
"expectations_failing_count": 123,
"workflow_id": "<string>",
"run": {
"id": "<string>",
"input": {},
"output": {},
"status": "RUNNING",
"origin": "WORKFLOW",
"started_at": "2023-12-25",
"ended_at": "2023-12-25",
"app_id": "<string>",
"workflow_app_id": "<string>",
"workflow_id": "<string>",
"workflow_version_draft": {
"key": "<string>",
"input": {},
"input_default": {},
"input_options": {
"display": {
"field": "inline",
"container": "grid",
"hidden": true
}
},
"steps": [
{
"type": "note",
"key": "<string>",
"note": "<string>",
"display": "expanded",
"conditional": "<string>",
"loop": "<string>",
"throw_on_error": true,
"input_connected": true,
"destinations": [
"<string>"
],
"position": [
123
],
"size": [
101
],
"auto": {
"provider": "<string>",
"model": "<string>",
"temperature": 1
}
}
]
},
"workflow_version": {
"id": "<string>",
"app_id": "<string>",
"workflow_id": "<string>",
"description": "<string>",
"version": 123,
"notes": "<string>",
"created_at": "2023-12-25",
"key": "<string>",
"input": {},
"input_default": {},
"input_options": {
"display": {
"field": "inline",
"container": "grid",
"hidden": true
}
},
"steps": [
{
"type": "note",
"key": "<string>",
"note": "<string>",
"display": "expanded",
"conditional": "<string>",
"loop": "<string>",
"throw_on_error": true,
"input_connected": true,
"destinations": [
"<string>"
],
"position": [
123
],
"size": [
101
],
"auto": {
"provider": "<string>",
"model": "<string>",
"temperature": 1
}
}
],
"rollback_version": 123,
"created_by": {
"id": "<string>",
"name": "<string>"
}
},
"created_at": "2023-12-25",
"updated_at": "2023-12-25",
"result": "<unknown>",
"error": "<string>",
"collection_id": "<string>",
"record_id": "<string>",
"version": 123,
"usage": {
"total": 123,
"steps": {},
"calls": [
{
"id": "<string>",
"total": 123,
"calls": [
"<unknown>"
]
}
]
},
"retention": {
"max_age_in_seconds": 3600,
"preserve_on_failure": true
},
"retention_due_at": "2023-12-25"
},
"created_at": "2023-12-25",
"updated_at": "2023-12-25",
"input": {},
"input_default": {},
"input_context": {},
"expectations": [
{
"key": "<string>",
"name": "<string>",
"expectation_id": "<string>",
"script": "<string>",
"output": "<unknown>",
"logs": [
null
],
"status": "PASSED"
}
]
}
]